%global     snapdate         20150625
%global     gl3n_revision    20b3487
%global     alphatag         %{snapdate}git%{gl3n_revision}
%global     debug_package    %{nil}

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone https://github.com/Dav1dde/gl3n
# cd gl3n
# git rev-parse --short HEAD            -> for gl3n_revision
# git checkout %%gl3n_rev
# git archive --prefix=gl3n-%%{alphatag}/ HEAD --format=tar | xz > ../gl3n-%%{alphatag}.tar.xz

Name:           gl3n
Version:        1.3.1
Release:        3%{?dist}
Summary:        An OpenGL Mathematics library for D
Summary(fr):    Une bibliothèque Mathématique utilisant OpenGL pour D
License:        MIT
URL:            http://dav1dde.github.io/gl3n/
Source0:        https://github.com/Dav1dde/%{name}/archive/v%{version}.tar.gz
# Fix the build on secondary arches
Patch0:         gl3n-fix-secondary-arches.patch

ExclusiveArch:  %{ldc_arches}

BuildRequires:  ldc
BuildRequires:  ldc-phobos-devel

%description
gl3n provides all the math you need to work with OpenGL, DirectX.
Currently gl3n supports:
- linear algebra
+ vectors
+ matrices
+ quaternions
- interpolation
+ linear interpolation (lerp)
+ spherical linear interpolation (slerp)
+ hermite interpolation
+ catmull rom interpolation
Nearly all GLSL defined functions (according to spec 4.1)
The power of D, e.g. dynamic swizzling, templated types (vectors, matrices,
quaternions), impressive constructors and more!

%description -l fr
gl3n fournit toutes les fonctions mathématiques dont vous avez besoin pour
travailler avec OpenGL, DirectX. Actuellement gl3n supporte:
- Algèbre linéaire
+ vecteurs
+ matrices
+ quaternions
- interpolation
+ Interpolation linéaire (Lerp)
+ Sphériques interpolation linéaire (slerp)
+ D'interpolation d'Hermite
+ Catmull Rom d'interpolation
Presque toutes les fonctions définies GLSL (conformément aux spécifications
4.1) La puissance de D, par exemple dynamiques swizzling, types basés sur des
modèles (vecteurs, matrices, quaternions), des constructeurs impressionnant et
plus encore!

%package        devel
Summary:        Support for developing D application
Summary(fr):    Appui pour le développement d'application D
Requires:       %{name}%{?_isa} = %{version}-%{release}
BuildRequires:  geany

%description    devel
The gl3n-devel package contains header files for developing gl3n
applications.

%description    devel -l fr_FR
Le paquet gl3n-devel contient les fichiers d'entêtes pour développer
des applications utilisant gl3n.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags} all-shared geany-tag DFLAGS_IMPORT="-Igl3n" DCFLAGS="%{_d_optflags}"

%install
# build library
make %{?_smp_mflags} install-shared install-geany-tag PREFIX=%{buildroot}%{_prefix} LIB_DIR=%{buildroot}%{_libdir} DATA_DIR=%{buildroot}%{_datadir}

%post   -p  /sbin/ldconfig

%postun -p  /sbin/ldconfig

%files
%license LICENSE
%{_libdir}/lib%{name}-ldc.so.1.0.0
%{_libdir}/lib%{name}-ldc.so.1

%files devel
%{_libdir}/lib%{name}-ldc.so
%{_datadir}/geany/tags/gl3n.d.tags
%{_d_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/doc/%{name}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Kalev Lember <klember@redhat.com> - 1.3.1-2
- Rebuilt for new ldc compiler

* Mon Oct 31 2016 Kalev Lember <klember@redhat.com> - 1.3.1-1
- Update to 1.3.1

* Sun Oct 30 2016 Kalev Lember <klember@redhat.com> - 1.2.0-18
- Use new ldc_arches macro

* Mon Oct 24 2016 Kalev Lember <klember@redhat.com> - 1.2.0-17
- Enable arm architecture now that ldc is available there

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Sep 20 2015 Jonathan MERCIER <bioinfornatics@gmail.com> - 1.2.0-15
- fix version number to 1.2.0

* Sat Sep 19 2015 Jonathan MERCIER <bioinfornatics@gmail.com> - 0.20150625-14
- update to latest release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20140505-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20140505-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 09 2014 jonathan MERCIER <bioinfornatics@gmail.com> - 0.20140301-11
- Update to latest rev

* Sun Mar 09 2014 jonathan MERCIER <bioinfornatics@gmail.com> - 0.20140301-11
- Update to latest rev

* Wed Oct 30 2013 Jonathan MERCIER <bioinfornatics@gmail.com> - 0.20131013-10
- rebuilt

* Thu Oct 24 2013 Jonathan MERCIER <bioinfornatics@gmail.com> - 0.20131013-9
- Update to rev 9095b9a

* Sun Aug 04 2013 "Jonathan Mercier" <"Jonathan Mercier at gmail dot org"> - 0.20130707-8
- Update to rev 9d5d3e4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20130626-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Jonathan MERCIER <bioinfornatics at fedoraproject dot org> - 0.20130626-6
- update to rev c7d0020

* Mon Jun 10 2013 Jonathan MERCIER <bioinfornatics at fedoraproject dot org> - 0.20130601-5
- Update to rev 1fbec49

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20120813-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 0.20120813-3
- chaane version format

* Mon Aug 13 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-2.20120813git1fb5a4a
- update gl3n to latest rev

* Fri Dec 9 2011  Jonathan MERCIER <bioinfornatics at gmail.com> 1-1.20111207hg189
- Add doc for devhelp
- Add tag for geany
- Init spec
